import { LitElement, TemplateResult } from 'lit';
declare class WarpPageIndicator extends LitElement {
    static styles: import("lit").CSSResult[];
    /** Currently selected page (1-based index) */
    selectedPage: number;
    /** Total number of pages */
    pageCount: number;
    render(): TemplateResult;
}
export { WarpPageIndicator };
